package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 订单支付方式
 */
@AllArgsConstructor
@Getter
public enum EOrderPayType {

    /**
     * 钱包
     */
    WALLET(0, "钱包", 0, EnumsPrefixConstants.ORDER_PAY_TYPE + "0"),

    /**
     * 在线
     */
    ONLINE(1, "在线", 0, EnumsPrefixConstants.ORDER_PAY_TYPE + "1"),
    /**
     * 线下
     */
    OFFLINE(2, "线下", 0, EnumsPrefixConstants.ORDER_PAY_TYPE + "2"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;


    /**
     * 根据值获取枚举
     *
     * @param value
     * @return
     */
    public static EOrderPayType getEnumByValue(int value) {
        for (EOrderPayType enums : EOrderPayType.values()) {
            if (enums.getValue() == value) {
                return enums;
            }
        }
        return null;
    }
}
